> For the complete documentation index, see [llms.txt](https://developers.incidents.cloud.solarwinds.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.incidents.cloud.solarwinds.com/api-reference/services.md).

# Services

## GET /v3/services

> Get All Services

```json
{"openapi":"3.1.0","info":{"title":"Squadcast","version":"1.0.0"},"tags":[{"name":"Services"}],"servers":[{"url":"https://api.squadcast.com","description":"production US env","variables":{}},{"url":"https://api.eu.squadcast.com","description":"production EU env","variables":{}}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}},"schemas":{"V3.Services.ServiceResponse":{"type":"object","allOf":[{"$ref":"#/components/schemas/V3.Services.Service"}]},"V3.Services.Service":{"type":"object","required":["id","name","slug","email","escalation_policy_id","organization_id","api_key","description","owner","maintainer","tags","auto_pause_transient_alerts_config","intelligent_alerts_grouping_config","delay_notification_config","config","created_at","updated_at"],"properties":{"id":{"type":"string"},"name":{"type":"string"},"slug":{"type":"string"},"email":{"type":"string"},"escalation_policy_id":{"type":"string"},"organization_id":{"type":"string"},"api_key":{"type":"string"},"description":{"type":"string"},"depends":{"anyOf":[{"type":"array","items":{"type":"string"}},{"type":"null"}]},"owner":{"$ref":"#/components/schemas/Common.V3.RBACOwner"},"on_maintenance":{"type":"boolean"},"slack":{"$ref":"#/components/schemas/V3.Services.ServiceSlack"},"escalation_policy":{"$ref":"#/components/schemas/V3.Services.EscalationPolicyBasic"},"jira_cloud":{"$ref":"#/components/schemas/V3.Services.JiraCloudExtension"},"maintainer":{"$ref":"#/components/schemas/V3.Services.ServiceMaintainer"},"tags":{"type":"array","items":{"$ref":"#/components/schemas/V3.Services.ServiceTag"}},"auto_pause_transient_alerts_config":{"$ref":"#/components/schemas/V3.Services.APTAConfig"},"intelligent_alerts_grouping_config":{"$ref":"#/components/schemas/V3.Services.IAGConfig"},"delay_notification_config":{"$ref":"#/components/schemas/V3.Services.NotificationDelayConfig"},"config":{"type":"object","properties":{"dedup_key_enabled":{"type":"boolean"}},"required":["dedup_key_enabled"]},"created_at":{"type":"string","format":"date-time"},"updated_at":{"type":"string","format":"date-time"}}},"Common.V3.RBACOwner":{"type":"object","required":["id","type"],"properties":{"id":{"type":"string","description":"The ID of the owner."},"type":{"type":"string","enum":["team"],"description":"The type of the owner."}},"description":"Represents the RBAC owner of an entity."},"V3.Services.ServiceSlack":{"type":"object","required":["channel_id","name","time"],"properties":{"channel_id":{"type":"string"},"name":{"type":"string"},"time":{"type":"integer"}}},"V3.Services.EscalationPolicyBasic":{"type":"object","required":["id","name","description","slug"],"properties":{"id":{"type":"string","description":"The unique identifier for the escalation policy."},"name":{"type":"string","description":"The name of the escalation policy."},"description":{"type":"string","description":"A description of the escalation policy."},"slug":{"type":"string","description":"The URL-friendly slug for the policy name."}},"description":"Represents the basic details of an Escalation Policy for a service."},"V3.Services.JiraCloudExtension":{"type":"object","required":["jira_client_key","project","issue_type","is_manual"],"properties":{"jira_client_key":{"type":"string"},"project":{"$ref":"#/components/schemas/V3.Services.JiraProject"},"issue_type":{"$ref":"#/components/schemas/V3.Services.JiraIssueType"},"statusmaps":{"anyOf":[{"type":"array","items":{"$ref":"#/components/schemas/V3.Services.JiraStatusMap"}},{"type":"null"}]},"is_manual":{"type":"boolean"}}},"V3.Services.JiraProject":{"type":"object","required":["id","key","name"],"properties":{"id":{"type":"string"},"key":{"type":"string"},"name":{"type":"string"}}},"V3.Services.JiraIssueType":{"type":"object","required":["id","name"],"properties":{"id":{"type":"string"},"name":{"type":"string"},"statuses":{"anyOf":[{"type":"array","items":{"$ref":"#/components/schemas/V3.Services.JiraStatus"}},{"type":"null"}]}}},"V3.Services.JiraStatus":{"type":"object","required":["id","name"],"properties":{"id":{"type":"string"},"name":{"type":"string"}}},"V3.Services.JiraStatusMap":{"type":"object","required":["jira_status","system_status"],"properties":{"jira_status":{"type":"string"},"system_status":{"type":"string"}}},"V3.Services.ServiceMaintainer":{"type":"object","required":["id","type"],"properties":{"id":{"type":"string"},"type":{"type":"string","enum":["user","squad"]}}},"V3.Services.ServiceTag":{"type":"object","required":["key","value"],"properties":{"key":{"type":"string"},"value":{"type":"string"}}},"V3.Services.APTAConfig":{"type":"object","required":["is_enabled","timeout_in_mins"],"properties":{"is_enabled":{"type":"boolean"},"timeout_in_mins":{"type":"number","enum":[2,3,5,10,15]}}},"V3.Services.IAGConfig":{"type":"object","required":["is_enabled","rolling_window_in_mins"],"properties":{"is_enabled":{"type":"boolean"},"rolling_window_in_mins":{"type":"number","enum":[5,10,15,20,45,60,120,240,480,720,1440]}}},"V3.Services.NotificationDelayConfig":{"type":"object","required":["is_enabled"],"properties":{"is_enabled":{"type":"boolean"},"timezone":{"type":"string"},"fixed_timeslot_config":{"type":"object","properties":{"start_time":{"type":"string"},"end_time":{"type":"string"},"repeat_days":{"type":"array","items":{"type":"integer","format":"int32"}}}},"custom_timeslots_enabled":{"type":"boolean"},"custom_timeslots":{"type":"object","unevaluatedProperties":{"type":"array","items":{"type":"object","properties":{"start_time":{"type":"string"},"end_time":{"type":"string"}}}}},"assigned_to":{"type":"object","properties":{"id":{"type":"string"},"type":{"type":"string"}}}}},"Common.V3.ErrorMeta":{"type":"object","required":["status","error_message"],"properties":{"status":{"anyOf":[{"type":"string"},{"type":"integer"}]},"error_message":{"type":"string"}},"description":"Represents a single response containing data of type T."}}},"paths":{"/v3/services":{"get":{"operationId":"Services_getServices","summary":"Get All Services","parameters":[{"name":"owner_id","in":"query","required":true,"schema":{"type":"string"},"explode":false},{"name":"entity_owner","in":"query","required":false,"schema":{"type":"string"},"explode":false},{"name":"name","in":"query","required":false,"schema":{"type":"string"},"explode":false}],"responses":{"200":{"description":"The request has succeeded.","content":{"application/json":{"schema":{"type":"object","required":["data"],"properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/V3.Services.ServiceResponse"}}}}}}},"400":{"description":"The server could not understand the request due to invalid syntax.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"401":{"description":"Access is unauthorized.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"402":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"403":{"description":"Access is forbidden.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"404":{"description":"The server cannot find the requested resource.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"409":{"description":"The request conflicts with the current state of the server.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"422":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"502":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"503":{"description":"Service unavailable.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"504":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}}},"tags":["Services"]}}}}
```

## POST /v3/services

> Create Service

```json
{"openapi":"3.1.0","info":{"title":"Squadcast","version":"1.0.0"},"tags":[{"name":"Services"}],"servers":[{"url":"https://api.squadcast.com","description":"production US env","variables":{}},{"url":"https://api.eu.squadcast.com","description":"production EU env","variables":{}}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}},"schemas":{"V3.Services.ServiceResponse":{"type":"object","allOf":[{"$ref":"#/components/schemas/V3.Services.Service"}]},"V3.Services.Service":{"type":"object","required":["id","name","slug","email","escalation_policy_id","organization_id","api_key","description","owner","maintainer","tags","auto_pause_transient_alerts_config","intelligent_alerts_grouping_config","delay_notification_config","config","created_at","updated_at"],"properties":{"id":{"type":"string"},"name":{"type":"string"},"slug":{"type":"string"},"email":{"type":"string"},"escalation_policy_id":{"type":"string"},"organization_id":{"type":"string"},"api_key":{"type":"string"},"description":{"type":"string"},"depends":{"anyOf":[{"type":"array","items":{"type":"string"}},{"type":"null"}]},"owner":{"$ref":"#/components/schemas/Common.V3.RBACOwner"},"on_maintenance":{"type":"boolean"},"slack":{"$ref":"#/components/schemas/V3.Services.ServiceSlack"},"escalation_policy":{"$ref":"#/components/schemas/V3.Services.EscalationPolicyBasic"},"jira_cloud":{"$ref":"#/components/schemas/V3.Services.JiraCloudExtension"},"maintainer":{"$ref":"#/components/schemas/V3.Services.ServiceMaintainer"},"tags":{"type":"array","items":{"$ref":"#/components/schemas/V3.Services.ServiceTag"}},"auto_pause_transient_alerts_config":{"$ref":"#/components/schemas/V3.Services.APTAConfig"},"intelligent_alerts_grouping_config":{"$ref":"#/components/schemas/V3.Services.IAGConfig"},"delay_notification_config":{"$ref":"#/components/schemas/V3.Services.NotificationDelayConfig"},"config":{"type":"object","properties":{"dedup_key_enabled":{"type":"boolean"}},"required":["dedup_key_enabled"]},"created_at":{"type":"string","format":"date-time"},"updated_at":{"type":"string","format":"date-time"}}},"Common.V3.RBACOwner":{"type":"object","required":["id","type"],"properties":{"id":{"type":"string","description":"The ID of the owner."},"type":{"type":"string","enum":["team"],"description":"The type of the owner."}},"description":"Represents the RBAC owner of an entity."},"V3.Services.ServiceSlack":{"type":"object","required":["channel_id","name","time"],"properties":{"channel_id":{"type":"string"},"name":{"type":"string"},"time":{"type":"integer"}}},"V3.Services.EscalationPolicyBasic":{"type":"object","required":["id","name","description","slug"],"properties":{"id":{"type":"string","description":"The unique identifier for the escalation policy."},"name":{"type":"string","description":"The name of the escalation policy."},"description":{"type":"string","description":"A description of the escalation policy."},"slug":{"type":"string","description":"The URL-friendly slug for the policy name."}},"description":"Represents the basic details of an Escalation Policy for a service."},"V3.Services.JiraCloudExtension":{"type":"object","required":["jira_client_key","project","issue_type","is_manual"],"properties":{"jira_client_key":{"type":"string"},"project":{"$ref":"#/components/schemas/V3.Services.JiraProject"},"issue_type":{"$ref":"#/components/schemas/V3.Services.JiraIssueType"},"statusmaps":{"anyOf":[{"type":"array","items":{"$ref":"#/components/schemas/V3.Services.JiraStatusMap"}},{"type":"null"}]},"is_manual":{"type":"boolean"}}},"V3.Services.JiraProject":{"type":"object","required":["id","key","name"],"properties":{"id":{"type":"string"},"key":{"type":"string"},"name":{"type":"string"}}},"V3.Services.JiraIssueType":{"type":"object","required":["id","name"],"properties":{"id":{"type":"string"},"name":{"type":"string"},"statuses":{"anyOf":[{"type":"array","items":{"$ref":"#/components/schemas/V3.Services.JiraStatus"}},{"type":"null"}]}}},"V3.Services.JiraStatus":{"type":"object","required":["id","name"],"properties":{"id":{"type":"string"},"name":{"type":"string"}}},"V3.Services.JiraStatusMap":{"type":"object","required":["jira_status","system_status"],"properties":{"jira_status":{"type":"string"},"system_status":{"type":"string"}}},"V3.Services.ServiceMaintainer":{"type":"object","required":["id","type"],"properties":{"id":{"type":"string"},"type":{"type":"string","enum":["user","squad"]}}},"V3.Services.ServiceTag":{"type":"object","required":["key","value"],"properties":{"key":{"type":"string"},"value":{"type":"string"}}},"V3.Services.APTAConfig":{"type":"object","required":["is_enabled","timeout_in_mins"],"properties":{"is_enabled":{"type":"boolean"},"timeout_in_mins":{"type":"number","enum":[2,3,5,10,15]}}},"V3.Services.IAGConfig":{"type":"object","required":["is_enabled","rolling_window_in_mins"],"properties":{"is_enabled":{"type":"boolean"},"rolling_window_in_mins":{"type":"number","enum":[5,10,15,20,45,60,120,240,480,720,1440]}}},"V3.Services.NotificationDelayConfig":{"type":"object","required":["is_enabled"],"properties":{"is_enabled":{"type":"boolean"},"timezone":{"type":"string"},"fixed_timeslot_config":{"type":"object","properties":{"start_time":{"type":"string"},"end_time":{"type":"string"},"repeat_days":{"type":"array","items":{"type":"integer","format":"int32"}}}},"custom_timeslots_enabled":{"type":"boolean"},"custom_timeslots":{"type":"object","unevaluatedProperties":{"type":"array","items":{"type":"object","properties":{"start_time":{"type":"string"},"end_time":{"type":"string"}}}}},"assigned_to":{"type":"object","properties":{"id":{"type":"string"},"type":{"type":"string"}}}}},"Common.V3.ErrorMeta":{"type":"object","required":["status","error_message"],"properties":{"status":{"anyOf":[{"type":"string"},{"type":"integer"}]},"error_message":{"type":"string"}},"description":"Represents a single response containing data of type T."},"V3.Services.CreateServiceRequest":{"type":"object","required":["name","owner_id","escalation_policy_id"],"properties":{"name":{"type":"string"},"owner_id":{"type":"string","description":"The owner_id is required for POST operations"},"escalation_policy_id":{"type":"string"},"description":{"type":"string"},"email_prefix":{"type":"string"},"maintainer":{"$ref":"#/components/schemas/V3.Services.ServiceMaintainer"},"tags":{"type":"array","items":{"$ref":"#/components/schemas/V3.Services.ServiceTag"}},"auto_pause_transient_alerts_config":{"$ref":"#/components/schemas/V3.Services.APTAConfig"},"intelligent_alerts_grouping_config":{"$ref":"#/components/schemas/V3.Services.IAGConfig"},"delay_notification_config":{"$ref":"#/components/schemas/V3.Services.NotificationDelayConfigRequest"},"dedup_init_config":{"$ref":"#/components/schemas/V3.Services.DedupInitConfig"}}},"V3.Services.NotificationDelayConfigRequest":{"type":"object","allOf":[{"$ref":"#/components/schemas/V3.Services.NotificationDelayConfig"}]},"V3.Services.DedupInitConfig":{"type":"object","required":["time_window","time_unit"],"properties":{"time_window":{"type":"integer","format":"int64"},"time_unit":{"type":"string","enum":["minute","hour"]}}}}},"paths":{"/v3/services":{"post":{"operationId":"Services_createService","summary":"Create Service","parameters":[{"name":"owner_id","in":"query","required":true,"schema":{"type":"string"},"explode":false}],"responses":{"201":{"description":"The request has succeeded and a new resource has been created as a result.","content":{"application/json":{"schema":{"type":"object","required":["data"],"properties":{"data":{"$ref":"#/components/schemas/V3.Services.ServiceResponse"}}}}}},"400":{"description":"The server could not understand the request due to invalid syntax.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"401":{"description":"Access is unauthorized.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"402":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"403":{"description":"Access is forbidden.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"404":{"description":"The server cannot find the requested resource.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"409":{"description":"The request conflicts with the current state of the server.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"422":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"502":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"503":{"description":"Service unavailable.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"504":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}}},"tags":["Services"],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/V3.Services.CreateServiceRequest"}}}}}}}}
```

## GET /v3/services/by-name

> Get Services By Name

```json
{"openapi":"3.1.0","info":{"title":"Squadcast","version":"1.0.0"},"tags":[{"name":"Services"}],"servers":[{"url":"https://api.squadcast.com","description":"production US env","variables":{}},{"url":"https://api.eu.squadcast.com","description":"production EU env","variables":{}}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}},"schemas":{"V3.Services.ServiceResponse":{"type":"object","allOf":[{"$ref":"#/components/schemas/V3.Services.Service"}]},"V3.Services.Service":{"type":"object","required":["id","name","slug","email","escalation_policy_id","organization_id","api_key","description","owner","maintainer","tags","auto_pause_transient_alerts_config","intelligent_alerts_grouping_config","delay_notification_config","config","created_at","updated_at"],"properties":{"id":{"type":"string"},"name":{"type":"string"},"slug":{"type":"string"},"email":{"type":"string"},"escalation_policy_id":{"type":"string"},"organization_id":{"type":"string"},"api_key":{"type":"string"},"description":{"type":"string"},"depends":{"anyOf":[{"type":"array","items":{"type":"string"}},{"type":"null"}]},"owner":{"$ref":"#/components/schemas/Common.V3.RBACOwner"},"on_maintenance":{"type":"boolean"},"slack":{"$ref":"#/components/schemas/V3.Services.ServiceSlack"},"escalation_policy":{"$ref":"#/components/schemas/V3.Services.EscalationPolicyBasic"},"jira_cloud":{"$ref":"#/components/schemas/V3.Services.JiraCloudExtension"},"maintainer":{"$ref":"#/components/schemas/V3.Services.ServiceMaintainer"},"tags":{"type":"array","items":{"$ref":"#/components/schemas/V3.Services.ServiceTag"}},"auto_pause_transient_alerts_config":{"$ref":"#/components/schemas/V3.Services.APTAConfig"},"intelligent_alerts_grouping_config":{"$ref":"#/components/schemas/V3.Services.IAGConfig"},"delay_notification_config":{"$ref":"#/components/schemas/V3.Services.NotificationDelayConfig"},"config":{"type":"object","properties":{"dedup_key_enabled":{"type":"boolean"}},"required":["dedup_key_enabled"]},"created_at":{"type":"string","format":"date-time"},"updated_at":{"type":"string","format":"date-time"}}},"Common.V3.RBACOwner":{"type":"object","required":["id","type"],"properties":{"id":{"type":"string","description":"The ID of the owner."},"type":{"type":"string","enum":["team"],"description":"The type of the owner."}},"description":"Represents the RBAC owner of an entity."},"V3.Services.ServiceSlack":{"type":"object","required":["channel_id","name","time"],"properties":{"channel_id":{"type":"string"},"name":{"type":"string"},"time":{"type":"integer"}}},"V3.Services.EscalationPolicyBasic":{"type":"object","required":["id","name","description","slug"],"properties":{"id":{"type":"string","description":"The unique identifier for the escalation policy."},"name":{"type":"string","description":"The name of the escalation policy."},"description":{"type":"string","description":"A description of the escalation policy."},"slug":{"type":"string","description":"The URL-friendly slug for the policy name."}},"description":"Represents the basic details of an Escalation Policy for a service."},"V3.Services.JiraCloudExtension":{"type":"object","required":["jira_client_key","project","issue_type","is_manual"],"properties":{"jira_client_key":{"type":"string"},"project":{"$ref":"#/components/schemas/V3.Services.JiraProject"},"issue_type":{"$ref":"#/components/schemas/V3.Services.JiraIssueType"},"statusmaps":{"anyOf":[{"type":"array","items":{"$ref":"#/components/schemas/V3.Services.JiraStatusMap"}},{"type":"null"}]},"is_manual":{"type":"boolean"}}},"V3.Services.JiraProject":{"type":"object","required":["id","key","name"],"properties":{"id":{"type":"string"},"key":{"type":"string"},"name":{"type":"string"}}},"V3.Services.JiraIssueType":{"type":"object","required":["id","name"],"properties":{"id":{"type":"string"},"name":{"type":"string"},"statuses":{"anyOf":[{"type":"array","items":{"$ref":"#/components/schemas/V3.Services.JiraStatus"}},{"type":"null"}]}}},"V3.Services.JiraStatus":{"type":"object","required":["id","name"],"properties":{"id":{"type":"string"},"name":{"type":"string"}}},"V3.Services.JiraStatusMap":{"type":"object","required":["jira_status","system_status"],"properties":{"jira_status":{"type":"string"},"system_status":{"type":"string"}}},"V3.Services.ServiceMaintainer":{"type":"object","required":["id","type"],"properties":{"id":{"type":"string"},"type":{"type":"string","enum":["user","squad"]}}},"V3.Services.ServiceTag":{"type":"object","required":["key","value"],"properties":{"key":{"type":"string"},"value":{"type":"string"}}},"V3.Services.APTAConfig":{"type":"object","required":["is_enabled","timeout_in_mins"],"properties":{"is_enabled":{"type":"boolean"},"timeout_in_mins":{"type":"number","enum":[2,3,5,10,15]}}},"V3.Services.IAGConfig":{"type":"object","required":["is_enabled","rolling_window_in_mins"],"properties":{"is_enabled":{"type":"boolean"},"rolling_window_in_mins":{"type":"number","enum":[5,10,15,20,45,60,120,240,480,720,1440]}}},"V3.Services.NotificationDelayConfig":{"type":"object","required":["is_enabled"],"properties":{"is_enabled":{"type":"boolean"},"timezone":{"type":"string"},"fixed_timeslot_config":{"type":"object","properties":{"start_time":{"type":"string"},"end_time":{"type":"string"},"repeat_days":{"type":"array","items":{"type":"integer","format":"int32"}}}},"custom_timeslots_enabled":{"type":"boolean"},"custom_timeslots":{"type":"object","unevaluatedProperties":{"type":"array","items":{"type":"object","properties":{"start_time":{"type":"string"},"end_time":{"type":"string"}}}}},"assigned_to":{"type":"object","properties":{"id":{"type":"string"},"type":{"type":"string"}}}}},"Common.V3.ErrorMeta":{"type":"object","required":["status","error_message"],"properties":{"status":{"anyOf":[{"type":"string"},{"type":"integer"}]},"error_message":{"type":"string"}},"description":"Represents a single response containing data of type T."}}},"paths":{"/v3/services/by-name":{"get":{"operationId":"Services_getServicesByName","summary":"Get Services By Name","parameters":[{"name":"name","in":"query","required":true,"schema":{"type":"string"},"explode":false},{"name":"owner_id","in":"query","required":true,"schema":{"type":"string"},"explode":false}],"responses":{"200":{"description":"The request has succeeded.","content":{"application/json":{"schema":{"type":"object","required":["data"],"properties":{"data":{"$ref":"#/components/schemas/V3.Services.ServiceResponse"}}}}}},"400":{"description":"The server could not understand the request due to invalid syntax.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"401":{"description":"Access is unauthorized.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"402":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"403":{"description":"Access is forbidden.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"404":{"description":"The server cannot find the requested resource.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"409":{"description":"The request conflicts with the current state of the server.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"422":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"502":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"503":{"description":"Service unavailable.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"504":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}}},"tags":["Services"]}}}}
```

## GET /v3/services/{serviceID}

> Get Service By ID

```json
{"openapi":"3.1.0","info":{"title":"Squadcast","version":"1.0.0"},"tags":[{"name":"Services"}],"servers":[{"url":"https://api.squadcast.com","description":"production US env","variables":{}},{"url":"https://api.eu.squadcast.com","description":"production EU env","variables":{}}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}},"schemas":{"V3.Services.ServiceResponse":{"type":"object","allOf":[{"$ref":"#/components/schemas/V3.Services.Service"}]},"V3.Services.Service":{"type":"object","required":["id","name","slug","email","escalation_policy_id","organization_id","api_key","description","owner","maintainer","tags","auto_pause_transient_alerts_config","intelligent_alerts_grouping_config","delay_notification_config","config","created_at","updated_at"],"properties":{"id":{"type":"string"},"name":{"type":"string"},"slug":{"type":"string"},"email":{"type":"string"},"escalation_policy_id":{"type":"string"},"organization_id":{"type":"string"},"api_key":{"type":"string"},"description":{"type":"string"},"depends":{"anyOf":[{"type":"array","items":{"type":"string"}},{"type":"null"}]},"owner":{"$ref":"#/components/schemas/Common.V3.RBACOwner"},"on_maintenance":{"type":"boolean"},"slack":{"$ref":"#/components/schemas/V3.Services.ServiceSlack"},"escalation_policy":{"$ref":"#/components/schemas/V3.Services.EscalationPolicyBasic"},"jira_cloud":{"$ref":"#/components/schemas/V3.Services.JiraCloudExtension"},"maintainer":{"$ref":"#/components/schemas/V3.Services.ServiceMaintainer"},"tags":{"type":"array","items":{"$ref":"#/components/schemas/V3.Services.ServiceTag"}},"auto_pause_transient_alerts_config":{"$ref":"#/components/schemas/V3.Services.APTAConfig"},"intelligent_alerts_grouping_config":{"$ref":"#/components/schemas/V3.Services.IAGConfig"},"delay_notification_config":{"$ref":"#/components/schemas/V3.Services.NotificationDelayConfig"},"config":{"type":"object","properties":{"dedup_key_enabled":{"type":"boolean"}},"required":["dedup_key_enabled"]},"created_at":{"type":"string","format":"date-time"},"updated_at":{"type":"string","format":"date-time"}}},"Common.V3.RBACOwner":{"type":"object","required":["id","type"],"properties":{"id":{"type":"string","description":"The ID of the owner."},"type":{"type":"string","enum":["team"],"description":"The type of the owner."}},"description":"Represents the RBAC owner of an entity."},"V3.Services.ServiceSlack":{"type":"object","required":["channel_id","name","time"],"properties":{"channel_id":{"type":"string"},"name":{"type":"string"},"time":{"type":"integer"}}},"V3.Services.EscalationPolicyBasic":{"type":"object","required":["id","name","description","slug"],"properties":{"id":{"type":"string","description":"The unique identifier for the escalation policy."},"name":{"type":"string","description":"The name of the escalation policy."},"description":{"type":"string","description":"A description of the escalation policy."},"slug":{"type":"string","description":"The URL-friendly slug for the policy name."}},"description":"Represents the basic details of an Escalation Policy for a service."},"V3.Services.JiraCloudExtension":{"type":"object","required":["jira_client_key","project","issue_type","is_manual"],"properties":{"jira_client_key":{"type":"string"},"project":{"$ref":"#/components/schemas/V3.Services.JiraProject"},"issue_type":{"$ref":"#/components/schemas/V3.Services.JiraIssueType"},"statusmaps":{"anyOf":[{"type":"array","items":{"$ref":"#/components/schemas/V3.Services.JiraStatusMap"}},{"type":"null"}]},"is_manual":{"type":"boolean"}}},"V3.Services.JiraProject":{"type":"object","required":["id","key","name"],"properties":{"id":{"type":"string"},"key":{"type":"string"},"name":{"type":"string"}}},"V3.Services.JiraIssueType":{"type":"object","required":["id","name"],"properties":{"id":{"type":"string"},"name":{"type":"string"},"statuses":{"anyOf":[{"type":"array","items":{"$ref":"#/components/schemas/V3.Services.JiraStatus"}},{"type":"null"}]}}},"V3.Services.JiraStatus":{"type":"object","required":["id","name"],"properties":{"id":{"type":"string"},"name":{"type":"string"}}},"V3.Services.JiraStatusMap":{"type":"object","required":["jira_status","system_status"],"properties":{"jira_status":{"type":"string"},"system_status":{"type":"string"}}},"V3.Services.ServiceMaintainer":{"type":"object","required":["id","type"],"properties":{"id":{"type":"string"},"type":{"type":"string","enum":["user","squad"]}}},"V3.Services.ServiceTag":{"type":"object","required":["key","value"],"properties":{"key":{"type":"string"},"value":{"type":"string"}}},"V3.Services.APTAConfig":{"type":"object","required":["is_enabled","timeout_in_mins"],"properties":{"is_enabled":{"type":"boolean"},"timeout_in_mins":{"type":"number","enum":[2,3,5,10,15]}}},"V3.Services.IAGConfig":{"type":"object","required":["is_enabled","rolling_window_in_mins"],"properties":{"is_enabled":{"type":"boolean"},"rolling_window_in_mins":{"type":"number","enum":[5,10,15,20,45,60,120,240,480,720,1440]}}},"V3.Services.NotificationDelayConfig":{"type":"object","required":["is_enabled"],"properties":{"is_enabled":{"type":"boolean"},"timezone":{"type":"string"},"fixed_timeslot_config":{"type":"object","properties":{"start_time":{"type":"string"},"end_time":{"type":"string"},"repeat_days":{"type":"array","items":{"type":"integer","format":"int32"}}}},"custom_timeslots_enabled":{"type":"boolean"},"custom_timeslots":{"type":"object","unevaluatedProperties":{"type":"array","items":{"type":"object","properties":{"start_time":{"type":"string"},"end_time":{"type":"string"}}}}},"assigned_to":{"type":"object","properties":{"id":{"type":"string"},"type":{"type":"string"}}}}},"Common.V3.ErrorMeta":{"type":"object","required":["status","error_message"],"properties":{"status":{"anyOf":[{"type":"string"},{"type":"integer"}]},"error_message":{"type":"string"}},"description":"Represents a single response containing data of type T."}}},"paths":{"/v3/services/{serviceID}":{"get":{"operationId":"Services_getServiceById","summary":"Get Service By ID","parameters":[{"name":"serviceID","in":"path","required":true,"schema":{"type":"string"}},{"name":"authorization","in":"header","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"The request has succeeded.","content":{"application/json":{"schema":{"type":"object","required":["data"],"properties":{"data":{"$ref":"#/components/schemas/V3.Services.ServiceResponse"}}}}}},"400":{"description":"The server could not understand the request due to invalid syntax.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"401":{"description":"Access is unauthorized.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"402":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"403":{"description":"Access is forbidden.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"404":{"description":"The server cannot find the requested resource.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"409":{"description":"The request conflicts with the current state of the server.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"422":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"502":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"503":{"description":"Service unavailable.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"504":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}}},"tags":["Services"]}}}}
```

## PUT /v3/services/{serviceID}

> Update Service

```json
{"openapi":"3.1.0","info":{"title":"Squadcast","version":"1.0.0"},"tags":[{"name":"Services"}],"servers":[{"url":"https://api.squadcast.com","description":"production US env","variables":{}},{"url":"https://api.eu.squadcast.com","description":"production EU env","variables":{}}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}},"schemas":{"V3.Services.ServiceResponse":{"type":"object","allOf":[{"$ref":"#/components/schemas/V3.Services.Service"}]},"V3.Services.Service":{"type":"object","required":["id","name","slug","email","escalation_policy_id","organization_id","api_key","description","owner","maintainer","tags","auto_pause_transient_alerts_config","intelligent_alerts_grouping_config","delay_notification_config","config","created_at","updated_at"],"properties":{"id":{"type":"string"},"name":{"type":"string"},"slug":{"type":"string"},"email":{"type":"string"},"escalation_policy_id":{"type":"string"},"organization_id":{"type":"string"},"api_key":{"type":"string"},"description":{"type":"string"},"depends":{"anyOf":[{"type":"array","items":{"type":"string"}},{"type":"null"}]},"owner":{"$ref":"#/components/schemas/Common.V3.RBACOwner"},"on_maintenance":{"type":"boolean"},"slack":{"$ref":"#/components/schemas/V3.Services.ServiceSlack"},"escalation_policy":{"$ref":"#/components/schemas/V3.Services.EscalationPolicyBasic"},"jira_cloud":{"$ref":"#/components/schemas/V3.Services.JiraCloudExtension"},"maintainer":{"$ref":"#/components/schemas/V3.Services.ServiceMaintainer"},"tags":{"type":"array","items":{"$ref":"#/components/schemas/V3.Services.ServiceTag"}},"auto_pause_transient_alerts_config":{"$ref":"#/components/schemas/V3.Services.APTAConfig"},"intelligent_alerts_grouping_config":{"$ref":"#/components/schemas/V3.Services.IAGConfig"},"delay_notification_config":{"$ref":"#/components/schemas/V3.Services.NotificationDelayConfig"},"config":{"type":"object","properties":{"dedup_key_enabled":{"type":"boolean"}},"required":["dedup_key_enabled"]},"created_at":{"type":"string","format":"date-time"},"updated_at":{"type":"string","format":"date-time"}}},"Common.V3.RBACOwner":{"type":"object","required":["id","type"],"properties":{"id":{"type":"string","description":"The ID of the owner."},"type":{"type":"string","enum":["team"],"description":"The type of the owner."}},"description":"Represents the RBAC owner of an entity."},"V3.Services.ServiceSlack":{"type":"object","required":["channel_id","name","time"],"properties":{"channel_id":{"type":"string"},"name":{"type":"string"},"time":{"type":"integer"}}},"V3.Services.EscalationPolicyBasic":{"type":"object","required":["id","name","description","slug"],"properties":{"id":{"type":"string","description":"The unique identifier for the escalation policy."},"name":{"type":"string","description":"The name of the escalation policy."},"description":{"type":"string","description":"A description of the escalation policy."},"slug":{"type":"string","description":"The URL-friendly slug for the policy name."}},"description":"Represents the basic details of an Escalation Policy for a service."},"V3.Services.JiraCloudExtension":{"type":"object","required":["jira_client_key","project","issue_type","is_manual"],"properties":{"jira_client_key":{"type":"string"},"project":{"$ref":"#/components/schemas/V3.Services.JiraProject"},"issue_type":{"$ref":"#/components/schemas/V3.Services.JiraIssueType"},"statusmaps":{"anyOf":[{"type":"array","items":{"$ref":"#/components/schemas/V3.Services.JiraStatusMap"}},{"type":"null"}]},"is_manual":{"type":"boolean"}}},"V3.Services.JiraProject":{"type":"object","required":["id","key","name"],"properties":{"id":{"type":"string"},"key":{"type":"string"},"name":{"type":"string"}}},"V3.Services.JiraIssueType":{"type":"object","required":["id","name"],"properties":{"id":{"type":"string"},"name":{"type":"string"},"statuses":{"anyOf":[{"type":"array","items":{"$ref":"#/components/schemas/V3.Services.JiraStatus"}},{"type":"null"}]}}},"V3.Services.JiraStatus":{"type":"object","required":["id","name"],"properties":{"id":{"type":"string"},"name":{"type":"string"}}},"V3.Services.JiraStatusMap":{"type":"object","required":["jira_status","system_status"],"properties":{"jira_status":{"type":"string"},"system_status":{"type":"string"}}},"V3.Services.ServiceMaintainer":{"type":"object","required":["id","type"],"properties":{"id":{"type":"string"},"type":{"type":"string","enum":["user","squad"]}}},"V3.Services.ServiceTag":{"type":"object","required":["key","value"],"properties":{"key":{"type":"string"},"value":{"type":"string"}}},"V3.Services.APTAConfig":{"type":"object","required":["is_enabled","timeout_in_mins"],"properties":{"is_enabled":{"type":"boolean"},"timeout_in_mins":{"type":"number","enum":[2,3,5,10,15]}}},"V3.Services.IAGConfig":{"type":"object","required":["is_enabled","rolling_window_in_mins"],"properties":{"is_enabled":{"type":"boolean"},"rolling_window_in_mins":{"type":"number","enum":[5,10,15,20,45,60,120,240,480,720,1440]}}},"V3.Services.NotificationDelayConfig":{"type":"object","required":["is_enabled"],"properties":{"is_enabled":{"type":"boolean"},"timezone":{"type":"string"},"fixed_timeslot_config":{"type":"object","properties":{"start_time":{"type":"string"},"end_time":{"type":"string"},"repeat_days":{"type":"array","items":{"type":"integer","format":"int32"}}}},"custom_timeslots_enabled":{"type":"boolean"},"custom_timeslots":{"type":"object","unevaluatedProperties":{"type":"array","items":{"type":"object","properties":{"start_time":{"type":"string"},"end_time":{"type":"string"}}}}},"assigned_to":{"type":"object","properties":{"id":{"type":"string"},"type":{"type":"string"}}}}},"Common.V3.ErrorMeta":{"type":"object","required":["status","error_message"],"properties":{"status":{"anyOf":[{"type":"string"},{"type":"integer"}]},"error_message":{"type":"string"}},"description":"Represents a single response containing data of type T."},"V3.Services.UpdateServiceRequest":{"type":"object","properties":{"name":{"type":"string"},"escalation_policy_id":{"type":"string"},"description":{"type":"string"},"email_prefix":{"type":"string"},"maintainer":{"$ref":"#/components/schemas/V3.Services.ServiceMaintainer"},"tags":{"type":"array","items":{"$ref":"#/components/schemas/V3.Services.ServiceTag"}},"auto_pause_transient_alerts_config":{"$ref":"#/components/schemas/V3.Services.APTAConfig"},"intelligent_alerts_grouping_config":{"$ref":"#/components/schemas/V3.Services.IAGConfig"},"delay_notification_config":{"$ref":"#/components/schemas/V3.Services.NotificationDelayConfigRequest"}}},"V3.Services.NotificationDelayConfigRequest":{"type":"object","allOf":[{"$ref":"#/components/schemas/V3.Services.NotificationDelayConfig"}]}}},"paths":{"/v3/services/{serviceID}":{"put":{"operationId":"Services_updateService","summary":"Update Service","parameters":[{"name":"serviceID","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"The request has succeeded.","content":{"application/json":{"schema":{"type":"object","required":["data"],"properties":{"data":{"$ref":"#/components/schemas/V3.Services.ServiceResponse"}}}}}},"400":{"description":"The server could not understand the request due to invalid syntax.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"401":{"description":"Access is unauthorized.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"402":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"403":{"description":"Access is forbidden.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"404":{"description":"The server cannot find the requested resource.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"409":{"description":"The request conflicts with the current state of the server.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"422":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"502":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"503":{"description":"Service unavailable.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"504":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}}},"tags":["Services"],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/V3.Services.UpdateServiceRequest"}}}}}}}}
```

## DELETE /v3/services/{serviceID}

> Delete Service

```json
{"openapi":"3.1.0","info":{"title":"Squadcast","version":"1.0.0"},"tags":[{"name":"Services"}],"servers":[{"url":"https://api.squadcast.com","description":"production US env","variables":{}},{"url":"https://api.eu.squadcast.com","description":"production EU env","variables":{}}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}},"schemas":{"Common.V3.ErrorMeta":{"type":"object","required":["status","error_message"],"properties":{"status":{"anyOf":[{"type":"string"},{"type":"integer"}]},"error_message":{"type":"string"}},"description":"Represents a single response containing data of type T."}}},"paths":{"/v3/services/{serviceID}":{"delete":{"operationId":"Services_deleteService","summary":"Delete Service","parameters":[{"name":"serviceID","in":"path","required":true,"schema":{"type":"string"}},{"name":"authorization","in":"header","required":true,"schema":{"type":"string"}}],"responses":{"204":{"description":"There is no content to send for this request, but the headers may be useful. ","content":{"*/*":{"schema":{"type":"object"}}}},"400":{"description":"The server could not understand the request due to invalid syntax.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"401":{"description":"Access is unauthorized.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"402":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"403":{"description":"Access is forbidden.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"404":{"description":"The server cannot find the requested resource.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"409":{"description":"The request conflicts with the current state of the server.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"422":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"502":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"503":{"description":"Service unavailable.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"504":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}}},"tags":["Services"]}}}}
```

## PUT /v3/services/{serviceID}/apta-config

> Auto Pause Transient Alerts (APTA)

```json
{"openapi":"3.1.0","info":{"title":"Squadcast","version":"1.0.0"},"tags":[{"name":"Services"}],"servers":[{"url":"https://api.squadcast.com","description":"production US env","variables":{}},{"url":"https://api.eu.squadcast.com","description":"production EU env","variables":{}}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}},"schemas":{"Common.V3.ErrorMeta":{"type":"object","required":["status","error_message"],"properties":{"status":{"anyOf":[{"type":"string"},{"type":"integer"}]},"error_message":{"type":"string"}},"description":"Represents a single response containing data of type T."},"V3.Services.APTAConfigRequest":{"type":"object","required":["is_enabled","timeout_in_mins"],"properties":{"is_enabled":{"type":"boolean"},"timeout_in_mins":{"type":"integer"}}}}},"paths":{"/v3/services/{serviceID}/apta-config":{"put":{"operationId":"Services_createOrUpdateAPTAConfig","summary":"Auto Pause Transient Alerts (APTA)","parameters":[{"name":"serviceID","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"The request has succeeded.","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","properties":{"msg":{"type":"string"}},"required":["msg"]}},"required":["data"]}}}},"400":{"description":"The server could not understand the request due to invalid syntax.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"401":{"description":"Access is unauthorized.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"402":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"403":{"description":"Access is forbidden.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"404":{"description":"The server cannot find the requested resource.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"409":{"description":"The request conflicts with the current state of the server.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"422":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"502":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"503":{"description":"Service unavailable.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"504":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}}},"tags":["Services"],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/V3.Services.APTAConfigRequest"}}}}}}}}
```

## PUT /v3/services/{serviceID}/iag-config

> Intelligent Alert Grouping (IAG)

```json
{"openapi":"3.1.0","info":{"title":"Squadcast","version":"1.0.0"},"tags":[{"name":"Services"}],"servers":[{"url":"https://api.squadcast.com","description":"production US env","variables":{}},{"url":"https://api.eu.squadcast.com","description":"production EU env","variables":{}}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}},"schemas":{"Common.V3.ErrorMeta":{"type":"object","required":["status","error_message"],"properties":{"status":{"anyOf":[{"type":"string"},{"type":"integer"}]},"error_message":{"type":"string"}},"description":"Represents a single response containing data of type T."},"V3.Services.IAGConfigRequest":{"type":"object","required":["is_enabled","rolling_window_in_mins"],"properties":{"is_enabled":{"type":"boolean"},"rolling_window_in_mins":{"type":"integer"}}}}},"paths":{"/v3/services/{serviceID}/iag-config":{"put":{"operationId":"Services_createOrUpdateIAGConfig","summary":"Intelligent Alert Grouping (IAG)","parameters":[{"name":"serviceID","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"The request has succeeded.","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","properties":{"msg":{"type":"string"}},"required":["msg"]}},"required":["data"]}}}},"400":{"description":"The server could not understand the request due to invalid syntax.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"401":{"description":"Access is unauthorized.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"402":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"403":{"description":"Access is forbidden.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"404":{"description":"The server cannot find the requested resource.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"409":{"description":"The request conflicts with the current state of the server.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"422":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"502":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"503":{"description":"Service unavailable.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"504":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}}},"tags":["Services"],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/V3.Services.IAGConfigRequest"}}}}}}}}
```

## PUT /v3/services/{serviceID}/notification-delay-config

> Delayed Notification Config

```json
{"openapi":"3.1.0","info":{"title":"Squadcast","version":"1.0.0"},"tags":[{"name":"Services"}],"servers":[{"url":"https://api.squadcast.com","description":"production US env","variables":{}},{"url":"https://api.eu.squadcast.com","description":"production EU env","variables":{}}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}},"schemas":{"V3.Services.ServiceResponse":{"type":"object","allOf":[{"$ref":"#/components/schemas/V3.Services.Service"}]},"V3.Services.Service":{"type":"object","required":["id","name","slug","email","escalation_policy_id","organization_id","api_key","description","owner","maintainer","tags","auto_pause_transient_alerts_config","intelligent_alerts_grouping_config","delay_notification_config","config","created_at","updated_at"],"properties":{"id":{"type":"string"},"name":{"type":"string"},"slug":{"type":"string"},"email":{"type":"string"},"escalation_policy_id":{"type":"string"},"organization_id":{"type":"string"},"api_key":{"type":"string"},"description":{"type":"string"},"depends":{"anyOf":[{"type":"array","items":{"type":"string"}},{"type":"null"}]},"owner":{"$ref":"#/components/schemas/Common.V3.RBACOwner"},"on_maintenance":{"type":"boolean"},"slack":{"$ref":"#/components/schemas/V3.Services.ServiceSlack"},"escalation_policy":{"$ref":"#/components/schemas/V3.Services.EscalationPolicyBasic"},"jira_cloud":{"$ref":"#/components/schemas/V3.Services.JiraCloudExtension"},"maintainer":{"$ref":"#/components/schemas/V3.Services.ServiceMaintainer"},"tags":{"type":"array","items":{"$ref":"#/components/schemas/V3.Services.ServiceTag"}},"auto_pause_transient_alerts_config":{"$ref":"#/components/schemas/V3.Services.APTAConfig"},"intelligent_alerts_grouping_config":{"$ref":"#/components/schemas/V3.Services.IAGConfig"},"delay_notification_config":{"$ref":"#/components/schemas/V3.Services.NotificationDelayConfig"},"config":{"type":"object","properties":{"dedup_key_enabled":{"type":"boolean"}},"required":["dedup_key_enabled"]},"created_at":{"type":"string","format":"date-time"},"updated_at":{"type":"string","format":"date-time"}}},"Common.V3.RBACOwner":{"type":"object","required":["id","type"],"properties":{"id":{"type":"string","description":"The ID of the owner."},"type":{"type":"string","enum":["team"],"description":"The type of the owner."}},"description":"Represents the RBAC owner of an entity."},"V3.Services.ServiceSlack":{"type":"object","required":["channel_id","name","time"],"properties":{"channel_id":{"type":"string"},"name":{"type":"string"},"time":{"type":"integer"}}},"V3.Services.EscalationPolicyBasic":{"type":"object","required":["id","name","description","slug"],"properties":{"id":{"type":"string","description":"The unique identifier for the escalation policy."},"name":{"type":"string","description":"The name of the escalation policy."},"description":{"type":"string","description":"A description of the escalation policy."},"slug":{"type":"string","description":"The URL-friendly slug for the policy name."}},"description":"Represents the basic details of an Escalation Policy for a service."},"V3.Services.JiraCloudExtension":{"type":"object","required":["jira_client_key","project","issue_type","is_manual"],"properties":{"jira_client_key":{"type":"string"},"project":{"$ref":"#/components/schemas/V3.Services.JiraProject"},"issue_type":{"$ref":"#/components/schemas/V3.Services.JiraIssueType"},"statusmaps":{"anyOf":[{"type":"array","items":{"$ref":"#/components/schemas/V3.Services.JiraStatusMap"}},{"type":"null"}]},"is_manual":{"type":"boolean"}}},"V3.Services.JiraProject":{"type":"object","required":["id","key","name"],"properties":{"id":{"type":"string"},"key":{"type":"string"},"name":{"type":"string"}}},"V3.Services.JiraIssueType":{"type":"object","required":["id","name"],"properties":{"id":{"type":"string"},"name":{"type":"string"},"statuses":{"anyOf":[{"type":"array","items":{"$ref":"#/components/schemas/V3.Services.JiraStatus"}},{"type":"null"}]}}},"V3.Services.JiraStatus":{"type":"object","required":["id","name"],"properties":{"id":{"type":"string"},"name":{"type":"string"}}},"V3.Services.JiraStatusMap":{"type":"object","required":["jira_status","system_status"],"properties":{"jira_status":{"type":"string"},"system_status":{"type":"string"}}},"V3.Services.ServiceMaintainer":{"type":"object","required":["id","type"],"properties":{"id":{"type":"string"},"type":{"type":"string","enum":["user","squad"]}}},"V3.Services.ServiceTag":{"type":"object","required":["key","value"],"properties":{"key":{"type":"string"},"value":{"type":"string"}}},"V3.Services.APTAConfig":{"type":"object","required":["is_enabled","timeout_in_mins"],"properties":{"is_enabled":{"type":"boolean"},"timeout_in_mins":{"type":"number","enum":[2,3,5,10,15]}}},"V3.Services.IAGConfig":{"type":"object","required":["is_enabled","rolling_window_in_mins"],"properties":{"is_enabled":{"type":"boolean"},"rolling_window_in_mins":{"type":"number","enum":[5,10,15,20,45,60,120,240,480,720,1440]}}},"V3.Services.NotificationDelayConfig":{"type":"object","required":["is_enabled"],"properties":{"is_enabled":{"type":"boolean"},"timezone":{"type":"string"},"fixed_timeslot_config":{"type":"object","properties":{"start_time":{"type":"string"},"end_time":{"type":"string"},"repeat_days":{"type":"array","items":{"type":"integer","format":"int32"}}}},"custom_timeslots_enabled":{"type":"boolean"},"custom_timeslots":{"type":"object","unevaluatedProperties":{"type":"array","items":{"type":"object","properties":{"start_time":{"type":"string"},"end_time":{"type":"string"}}}}},"assigned_to":{"type":"object","properties":{"id":{"type":"string"},"type":{"type":"string"}}}}},"Common.V3.ErrorMeta":{"type":"object","required":["status","error_message"],"properties":{"status":{"anyOf":[{"type":"string"},{"type":"integer"}]},"error_message":{"type":"string"}},"description":"Represents a single response containing data of type T."},"V3.Services.NotificationDelayConfigRequest":{"type":"object","allOf":[{"$ref":"#/components/schemas/V3.Services.NotificationDelayConfig"}]}}},"paths":{"/v3/services/{serviceID}/notification-delay-config":{"put":{"operationId":"Services_delayedNotificationConfig","summary":"Delayed Notification Config","parameters":[{"name":"serviceID","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"The request has succeeded.","content":{"application/json":{"schema":{"type":"object","required":["data"],"properties":{"data":{"$ref":"#/components/schemas/V3.Services.ServiceResponse"}}}}}},"400":{"description":"The server could not understand the request due to invalid syntax.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"401":{"description":"Access is unauthorized.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"402":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"403":{"description":"Access is forbidden.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"404":{"description":"The server cannot find the requested resource.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"409":{"description":"The request conflicts with the current state of the server.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"422":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"502":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"503":{"description":"Service unavailable.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"504":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}}},"tags":["Services"],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/V3.Services.NotificationDelayConfigRequest"}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers.incidents.cloud.solarwinds.com/api-reference/services.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
